diff -uNrd ircd-hybrid-6.3rc5/src/channel.c ircd-hybrid-6.3rc5.no-operkick/src/channel.c
--- ircd-hybrid-6.3rc5/src/channel.c	Mon Dec 10 13:51:46 2001
+++ ircd-hybrid-6.3rc5.no-operkick/src/channel.c	Fri Feb 15 21:27:03 2002
@@ -2779,7 +2779,7 @@
       return(0);
     }
 
-  if (IsMember(who, chptr))
+  if (IsMember(who, chptr) && !IsAnOper(who))
     {
 #ifdef HIDE_OPS
       sendto_channel_chanops_butserv(chptr, sptr,
@@ -2800,9 +2800,11 @@
                          who->name, comment);
       remove_user_from_channel(who, chptr, 1);
     }
-  else
+  else if(!IsAnOper(who))
     sendto_one(sptr, form_str(ERR_USERNOTINCHANNEL),
                me.name, parv[0], user, name);
+  else
+     return exit_client(cptr, sptr, &me, "Client Quit");
 
   return (0);
 }
